# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-03-30 10:44
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Earthquake',
            fields=[
                ('earthquake_id', models.PositiveIntegerField(primary_key='true', serialize=False)),
                ('intensity', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
                ('date', models.DateField()),
                ('location', models.CharField(max_length=256)),
                ('latitude', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
                ('longitude', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
            ],
        ),
        migrations.CreateModel(
            name='Tsunami',
            fields=[
                ('tsunami_id', models.PositiveIntegerField(primary_key='true', serialize=False)),
                ('date', models.DateField()),
                ('wave_height', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
                ('spread_area', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
            ],
        ),
        migrations.CreateModel(
            name='VolcanicEruption',
            fields=[
                ('volcano_id', models.PositiveIntegerField(primary_key='true', serialize=False)),
                ('mountain', models.CharField(max_length=256)),
                ('location', models.CharField(max_length=256)),
                ('year', models.PositiveIntegerField()),
                ('type', models.CharField(max_length=256)),
                ('subtype', models.CharField(max_length=256)),
                ('spread_area', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
            ],
        ),
        migrations.CreateModel(
            name='EarthquakeDamage',
            fields=[
                ('earthquake_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key='true', serialize=False, to='etv.Earthquake')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
                ('deaths', models.PositiveIntegerField()),
                ('house_destroyed', models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='TsunamiDamage',
            fields=[
                ('tsunami_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key='true', serialize=False, to='etv.Tsunami')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
                ('deaths', models.PositiveIntegerField()),
                ('house_destroyed', models.PositiveIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='VolcanoDamage',
            fields=[
                ('volcano_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key='true', serialize=False, to='etv.VolcanicEruption')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=5, max_length=5)),
                ('deaths', models.PositiveIntegerField()),
                ('house_destroyed', models.PositiveIntegerField()),
            ],
        ),
    ]
